Cucumber::TagExpressions(3pm)

NAME
Cucumber::TagExpressions - Tag expression parser

SYNOPSIS
  use Cucumber::TagExpressions;

  my $expr = Cucumber::TagExpressions->parse( '@a and @b' );
  if ( $expr->evaluate( qw/x y z/ ) ) {
     say "The evaluation returned false";
  }

DESCRIPTION
Cucumber tag expressions allow users to define the subset of Gherkin scenarios they want to run. This library parses the expression and returns an evaluator object which can be used to test the tags specified on a scenario against the filter expression.

CLASS METHODS

  $class->parse( $expression )
Parses the string specified in $expression and returns a Cucumber::TagExpressions::ExpressionNode instance.

LICENSE
Please see the included LICENSE for the canonical version. In summary:

The MIT License (MIT)

  Copyright (c) 2021 Erik Huelsmann
  Copyright (c) 2021 Cucumber Ltd

This work is loosely derived from prior work of the same library for Ruby, called "cucumber-tag-expressions".